scala.testing.SUnit
trait Assert

[source: `scala/testing/SUnit.scala`]

`` `trait` Assert
  `extends` AnyRef

  this class defines useful `assert` methods

Direct Known Subclasses:
  SUnit.TestCase

Method Summary
`def` | assertEq (msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit fails if expected ne actual
`def` | assertEq (expected : AnyRef, actual : AnyRef) : Unit fails if expected ne actual
`def` | assertEquals [A](expected : A, actual : A) : Unit fails if expected != actual
`def` | assertEquals [A](msg : java.lang.String, expected : A, actual : A) : Unit fails if expected != actual
`def` | assertFalse (msg : java.lang.String, actual : Boolean) : Unit succeeds if actual is false
`def` | assertFalse (actual : Boolean) : Unit succeeds if actual is false
`def` | assertNotEq (msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit fail if expected eq actual
`def` | assertNotEq (expected : AnyRef, actual : AnyRef) : Unit fail if expected eq actual
`def` | assertNotNull (msg : java.lang.String, actual : AnyRef) : Unit fails if null eq actual
`def` | assertNotNull (actual : AnyRef) : Unit fails if null eq actual
`def` | assertNotSame (msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit
`def` | assertNotSame (expected : AnyRef, actual : AnyRef) : Unit
`def` | assertNull (msg : java.lang.String, actual : AnyRef) : Unit fails if actual ne null
`def` | assertNull (actual : AnyRef) : Unit fails if actual ne null
`def` | assertSame (expected : AnyRef, actual : AnyRef) : Unit
`def` | assertSame (msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit
`def` | assertTrue (msg : java.lang.String, actual : Boolean) : Unit succeeds if actual == true
`def` | assertTrue (actual : Boolean) : Unit succeeds if actual == true
`def` | enableStackTrace : Boolean
`def` | fail [A](msg : java.lang.String, expected : A, actual : A) : Unit
`def` | fail (msg : java.lang.String) : Unit throws `AssertFailed` with given message `msg`.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` enableStackTrace : Boolean

`` `def` assertEquals[A](msg : java.lang.String, expected : A, actual : A) : Unit

  fails if expected != actual

`` `def` assertEquals[A](expected : A, actual : A) : Unit

  fails if expected != actual

`` `def` assertFalse(msg : java.lang.String, actual : Boolean) : Unit

  succeeds if actual is false

`` `def` assertFalse(actual : Boolean) : Unit

  succeeds if actual is false

`` `def` assertNotNull(msg : java.lang.String, actual : AnyRef) : Unit

  fails if null eq actual

`` `def` assertNotNull(actual : AnyRef) : Unit

  fails if null eq actual

@deprecated
`` `def` assertNotSame(msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit

Deprecated
  use assertNotEq instead

@deprecated
`` `def` assertNotSame(expected : AnyRef, actual : AnyRef) : Unit

Deprecated
  use assertNotEq instead

`` `def` assertNotEq(msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit

  fail if expected eq actual

`` `def` assertNotEq(expected : AnyRef, actual : AnyRef) : Unit

  fail if expected eq actual

`` `def` assertNull(msg : java.lang.String, actual : AnyRef) : Unit

  fails if actual ne null

`` `def` assertNull(actual : AnyRef) : Unit

  fails if actual ne null

@deprecated
`` `def` assertSame(msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit

Deprecated
  use assertEq instead

@deprecated
`` `def` assertSame(expected : AnyRef, actual : AnyRef) : Unit

Deprecated
  use assertEq instead

`` `def` assertEq(msg : java.lang.String, expected : AnyRef, actual : AnyRef) : Unit

  fails if expected ne actual

`` `def` assertEq(expected : AnyRef, actual : AnyRef) : Unit

  fails if expected ne actual

`` `def` assertTrue(msg : java.lang.String, actual : Boolean) : Unit

  succeeds if actual == true

`` `def` assertTrue(actual : Boolean) : Unit

  succeeds if actual == true

`` `def` fail(msg : java.lang.String) : Unit

  throws `AssertFailed` with given message `msg`.

`` `def` fail[A](msg : java.lang.String, expected : A, actual : A) : Unit